<template>
  <div class="linktools">
    <el-button type="primary" @click="linkToolsVisible = true">链接工具</el-button>
    <linktools :showType="showType" :linkToolsVisible="linkToolsVisible" @linkSelect="linkSelect"/>
  </div>
</template>

<script>
import Linktools from './linktools.vue';

export default {
  name: 'linktool',
  
  components: {
    Linktools
  },

  data() {
    return {
      projectName: 'member', // 当前项目
      linkToolsVisible: false,
      showType: 0
    };
  },

  methods: {
    showLinkDialog() {
      this.linkToolsVisible = true;
    },
    linkSelect(val) {
      this.linkToolsVisible = false;
    }
  }

};
</script>
